errors instaling virt-manager on 11.10

Marius Gedminas marius at pov.lt
Wed Dec 12 12:28:09 UTC 2012


On Wed, Dec 12, 2012 at 02:56:11PM +0530, Tapas Mishra wrote:
> Hi,
> I am trying to install virt-manager on 11.10 on 64 bit machine
>  sudo aptitude install virt-manager
> 
> here is where it stopped the install
> 
> Processing triggers for python-support ...
> Errors were encountered while processing:
>  libvirt-bin

Which means there was an important error message somewhere above this, a
message you did not include in this email.  It may be the same as the
one apt gets when it tries to recover, or it may be different.

> E: Sub-process /usr/bin/dpkg returned an error code (1)
> A package failed to install.  Trying to recover:
> Setting up libvirt-bin (0.9.2-4ubuntu15) ...
> useradd: cannot lock /etc/passwd; try again later.

Whoa.  What happened there?

  $ ls -l /etc/passwd*
  $ cat /proc/mounts

> adduser: `/usr/sbin/useradd -d /var/lib/libvirt -g kvm -s /bin/false -u 118
> libvirt-qemu' returned error code 1. Exiting.
> dpkg: error processing libvirt-bin (--configure):
>  subprocess installed post-installation script returned error exit status 1
> Errors were encountered while processing:
>  libvirt-bin
> 
> 
> What should be done in this case to resolve it?

Figure out why useradd is broken on your system and fix that.

Marius Gedminas
-- 
Of course everyone knows that vim is the best text editor in the world. Anyone
who tells you differently is either wrong, lying, or criminally insane. (Or an
emacs user, in which case they are wrong, lying and criminally insane).
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 190 bytes
Desc: Digital signature
URL: <https://lists.ubuntu.com/archives/ubuntu-users/attachments/20121212/4525d1f4/attachment.pgp>


More information about the ubuntu-users mailing list